IORInterceptorOperations (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface IORInterceptorOperations

All Superinterfaces:
  InterceptorOperations

All Known Subinterfaces:
  IORInterceptor

public interface IORInterceptorOperations
extends InterceptorOperations

Interceptor used to establish tagged components in the profiles within an IOR.

In some cases, a portable ORB service implementation may need to add information describing the server's or object's ORB service related capabilities to object references in order to enable the ORB service implementation in the client to function properly.

This is supported through the `IORInterceptor` and `IORInfo` interfaces.

See Also:
  `IORInfo`

Method Summary
`void` | `establish_components(IORInfo info)` A server side ORB calls the `establish_components` operation on all registered `IORInterceptor` instances when it is assembling the list of components that will be included in the profile or profiles of an object reference.

Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations
`destroy, name`

Method Detail

### establish_components

    public void establish_components(IORInfo info)

  A server side ORB calls the `establish_components` operation on all registered `IORInterceptor` instances when it is assembling the list of components that will be included in the profile or profiles of an object reference. This operation is not necessarily called for each individual object reference. For example, the POA specifies policies at POA granularity and therefore, this operation might be called once per POA rather than once per object. In any case, `establish_components` is guaranteed to be called at least once for each distinct set of server policies.

  An implementation of `establish_components` must not throw exceptions. If it does, the ORB shall ignore the exception and proceed to call the next IOR Interceptor's `establish_components` operation.

  Parameters:
    `info` - The `IORInfo` instance used by the ORB service to query applicable policies and add components to be included in the generated IORs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.